Config Parameter | Type | Explanation
-|-|
ptn_is_undirected | boolean | whether the PTN is undirected
period_length | integer | number of minutes per period
tim_pass_use_preprocessing | boolean | whether preprocessing is used
tim_pass_use_cycle_base | boolean | whether the cycle base formulation is used instead of the standard formulation
ean_default_minimal_waiting_time | integer | minimal waiting time at stations in minutes
ean_default_maximal_waiting_time | integer | maximal waiting time at stations in minutes
ean_default_minimal_change_time | integer | minimal transfer time at stations in minutes
ean_default_maximal_change_time | integer | maximal transfer time at stations in minutes
factor_travel_time | double | weight of travel time (drive time + transfer time + wait time) in objective function
factor_drive_time | double | weight of drive time in objective function
factor_transfer_time | double | weight of transfer time in objective function
factor_wait_time | double | weight of wait time in objective function
factor_penalty_transfer | double | weight of transfer penalty in objective function
tim_pass_fix_passengers | boolean | use Heuristic UB (true) or LB (false)
number_of_routed_od_pairs | integer | number of OD pair which are routed during the optimization
time_limit | integer | time limit for the solver in seconds, value -1 leads to no time limit being set
mip_gap | double | gap the solver has to reach, value -1 leads to no gap being set
default_stops_file | string | file name/location of the stop file (used as input)
default_edges_file | string | file name/location of the edge file (used as input)
default_lines_file | string | file name/location of the line concept file (used as input)
default_od_file | string | file name/location of the OD matrix file (used as input)
default_activities_periodic_file | string | file name/location of the activities file (used as output)
default_events_periodic_file | string | file name/location of the events file (used as output)
default_timetable_periodic_file | string | file name/location of the timetable file (used as output)
